###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: fence
Version: 1.32.45
Release: 1.0.2
License: GPL
Group: System Environment/Base
Summary: fence - The cluster I/O fencing system
BuildRequires: cman-kernheaders ccs-devel
%ifnarch ppc64
BuildRequires: seamonkey-nss-devel seamonkey-nspr-devel
%endif
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires: seamonkey-nss
Conflicts: GFS <= 6.0
Conflicts: GFS-modules
ExclusiveArch: i686 ia64 x86_64 ppc64
Source0: %{name}-%{version}.tar.gz
Source1: watchdog-5.2.6.tar.gz
Patch0: fence-1.32.45-ilo2-apc-fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The cluster I/O fencing system (fence) provides fencing agents which connect
to a variety of network power switch/fibre channel switches/etc. to forcibly
remove unresponsive machines from a cluster.

%prep
%setup -q
%setup -T -D -a 1
%patch0 -p0

%build
./configure --mandir=%{_mandir}
sed -i '/RELEASE_MAJOR/s/= .*/= 1/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 32.1/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
%ifarch ppc64
sed -i '/xvm/d' agents/Makefile
%endif
make

cd watchdog-5.2.6
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

cd watchdog-5.2.6
make install DESTDIR=$RPM_BUILD_ROOT
cd ..
cp agents/scsi/scsi_reserve $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
cp agents/scsi/scsi_reserve.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/scsi_reserve
mkdir -p $RPM_BUILD_ROOT/etc/cluster/
cp agents/scsi/scsi_watchdog.conf $RPM_BUILD_ROOT/etc/cluster/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add fenced
/sbin/chkconfig --add scsi_reserve

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del fenced
fi

%files
%defattr(-,root,root,-)
/sbin/*
/usr/share/cluster/README_SNMP
/usr/share/cluster/powernet369.mib
/usr/sbin/watchdog
/usr/sbin/wd_keepalive

%doc
/usr/man/man5/watchdog.conf.5.gz
/usr/man/man8/watchdog.8.gz

%config /etc/rc.d/init.d/fenced 
%config /etc/rc.d/init.d/scsi_reserve 
%config /etc/sysconfig/scsi_reserve
%config /etc/watchdog.conf
%config /etc/cluster/scsi_watchdog.conf

%{_mandir}/*/*

%changelog
* Tue Jul 17 2007 Chris Feist <cfeist@redhat.com>
- Added support for APC firmware 3 and beyond
- Added support for ilo2 with RIBCL v2.22.
- Resolves: rhbz#248566, rhbz#248608

* Tue May 22 2007 Chris Feist <cfeist@redhat.com>
- Added requires for seamonkey-nss
- Resolves: bz#239772

* Wed Jan 31 2007 Chris Feist <cfeist@redhat.com>
- Added support for ppc64.
- Added support for watchdog timers.

* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up spec file (bz #157031).

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild for with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild for with new sources.

* Fri Dec 10 2004 Chris Feist <cfeist@redhat.com>
- Removing perl dependencies from fence to prevent RPM dependency nightmares.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Sat Aug 14 2004 Jon Brassow <jbrassow@redhat.com>
- various bug fixes (new upstream sources)

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com> 
- build for i386 and x86_64 only

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
